Read a post's comments
GET /api/member/posts/{postId}/comments. Read a post's comments. Headless LMS Posts API reference.
For anyone who can read the post. Pages by top-level comment, oldest first. Each page carries its top-level comments and all of their replies; total counts top-level comments.
Path Parameters
postId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/posts/string/comments"{ "rows": [ { "id": "string", "activityId": "string", "postId": "string", "communityId": "string", "parentId": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "body": "string", "status": "pending", "removedBy": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Dismiss the open flags on a post in a space you moderate POST
POST /api/member/posts/{postId}/flags/resolution. Dismiss the open flags on a post in a space you moderate. Headless LMS Posts API reference.
Comment on a post POST
POST /api/member/posts/{postId}/comments. Comment on a post. Headless LMS Posts API reference.